summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Roberto Metere <roberto{at}metere{dot}it>2011-03-06 13:29:48 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-03-06 13:29:48 -0300
commitcc180c300abe3bb80beb70fbca37ae3609de1477 (patch)
treedc2ce974762b7cc0b1e4e723ce104e3e6ea9a9f5 /network
parent7e49b00cde13e8b25635c97c06557da661955a6c (diff)
downloadslackbuilds-cc180c300abe3bb80beb70fbca37ae3609de1477.tar.gz
slackbuilds-cc180c300abe3bb80beb70fbca37ae3609de1477.tar.xz
network/citadel: Added (e-mail and collaboration suite)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/citadel/README26
-rw-r--r--network/citadel/citadel.SlackBuild101
-rw-r--r--network/citadel/citadel.info10
-rw-r--r--network/citadel/slack-desc19
4 files changed, 156 insertions, 0 deletions
diff --git a/network/citadel/README b/network/citadel/README
new file mode 100644
index 0000000000..1464c458f2
--- /dev/null
+++ b/network/citadel/README
@@ -0,0 +1,26 @@
+Citadel is a turnkey open-source solution for email and collaboration.
+
+It contains both the server and a text-mode client. You can build an entire
+working system with this, or you can just build the client and connect to
+some other existing system. It also provides connectivity through:
+
+ * SMTP (Port 25 by default)
+ * POP3 (Port 110 by default; SSL Enabled on port 995)
+ * IMAP (Port 143 by default; SSL Enabled on port 993)
+ * Citadel (Port 504; used by dedicated Citadel clients)
+ * SMTP-MSA (Port 587; requires SMTP authentication)
+ * ManageSieve (Port 2020; edit your mail filtering scripts with
+ your favorite GUI client)
+ * Postfix TCP dictionary (if you have an upstream mail hub running
+ Postfix, it can use this service to verify valid email addresses
+ on your Citadel)
+ * lmtp.socket (Local mail transport, for use with an external MTA
+ if for some reason you do not wish to use Citadel's built in SMTP
+ service)
+ * lmtp-unfiltered.socket (same as above, but without spam filtering)
+ * citadel.socket (Citadel protocol)
+
+After installation, run /opt/citadel/setup to configure Citadel.
+
+Dependencies: libsieve libcitadel
+Both available from slackbuilds.org
diff --git a/network/citadel/citadel.SlackBuild b/network/citadel/citadel.SlackBuild
new file mode 100644
index 0000000000..443a098ea1
--- /dev/null
+++ b/network/citadel/citadel.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for ejabberd
+
+# Copyright (c) 2010 Roberto Metere. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=citadel
+VERSION=7.85
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS -I/usr/local/ctdlsupport/include" \
+CXXFLAGS="$SLKCFLAGS" \
+CPPFLAGS=-I/usr/local/ctdlsupport/include \
+LDFLAGS='-L/usr/local/ctdlsupport/lib -Wl,--rpath -Wl,/usr/local/ctdlsupport/lib' \
+./configure \
+ --prefix=/opt/citadel \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-db=/opt/citadel/ctdlsupport \
+ --with-pam \
+ --with-libical \
+ --disable-threaded-client \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+# Create some symlinks
+for f in citadel citserver citmail ; do
+ ln -s /opt/citadel/$f /usr/bin/$f
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.txt config.log \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/citadel/citadel.info b/network/citadel/citadel.info
new file mode 100644
index 0000000000..d73a3787b1
--- /dev/null
+++ b/network/citadel/citadel.info
@@ -0,0 +1,10 @@
+PRGNAM="citadel"
+VERSION="7.85"
+HOMEPAGE="http://www.citadel.org"
+DOWNLOAD="http://easyinstall.citadel.org/citadel-7.85.tar.gz"
+MD5SUM="c578393d76864ca5fae3ef4f8c244d15"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto{at}metere{dot}it"
+APPROVED="Niels Horn"
diff --git a/network/citadel/slack-desc b/network/citadel/slack-desc
new file mode 100644
index 0000000000..b6bd0c22e6
--- /dev/null
+++ b/network/citadel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+citadel: citadel (Citadel server)
+citadel:
+citadel: Citadel is a turnkey open-source solution for email and collaboration.
+citadel: One simple installation delivers a multitude of powerful features.
+citadel:
+citadel:
+citadel:
+citadel:
+citadel:
+citadel:
+citadel: